# List Network Storage - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/gpu-instance-list-network-storage

# List Network Storage

GET

/

gpu-instance

/

openapi

/

v1

/

networkstorages

/

list

Try it

List Network Storage

cURL

```
curl --request GET \
--url https://api.novita.ai/gpu-instance/openapi/v1/networkstorages/list \
--header 'Authorization: &#x3C;authorization>' \
--header 'Content-Type: &#x3C;content-type>'
```

```
import requestsurl = "https://api.novita.ai/gpu-instance/openapi/v1/networkstorages/list"headers = { "Content-Type": "&#x3C;content-type>", "Authorization": "&#x3C;authorization>"}response = requests.get(url, headers=headers)print(response.text)
```

```
const options = { method: 'GET', headers: {'Content-Type': '&#x3C;content-type>', Authorization: '&#x3C;authorization>'}};fetch('https://api.novita.ai/gpu-instance/openapi/v1/networkstorages/list', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
```

```
&#x3C;?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.novita.ai/gpu-instance/openapi/v1/networkstorages/list", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: &#x3C;authorization>", "Content-Type: &#x3C;content-type>" ],]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
```

```
package mainimport (	"fmt"	"net/http"	"io")func main() {	url := "https://api.novita.ai/gpu-instance/openapi/v1/networkstorages/list"	req, _ := http.NewRequest("GET", url, nil)	req.Header.Add("Content-Type", "&#x3C;content-type>")	req.Header.Add("Authorization", "&#x3C;authorization>")	res, _ := http.DefaultClient.Do(req)	defer res.Body.Close()	body, _ := io.ReadAll(res.Body)	fmt.Println(string(body))}
```

```
HttpResponse&#x3C;String> response = Unirest.get("https://api.novita.ai/gpu-instance/openapi/v1/networkstorages/list") .header("Content-Type", "&#x3C;content-type>") .header("Authorization", "&#x3C;authorization>") .asString();
```

```
require 'uri'require 'net/http'url = URI("https://api.novita.ai/gpu-instance/openapi/v1/networkstorages/list")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Get.new(url)request["Content-Type"] = '&#x3C;content-type>'request["Authorization"] = '&#x3C;authorization>'response = http.request(request)puts response.read_body
```

200

```
{
"data": [
{
"storageId": "&#x3C;string>",
"storageName": "&#x3C;string>",
"storageSize": 123,
"clusterId": "&#x3C;string>",
"clusterName": "&#x3C;string>",
"price": "&#x3C;string>"
}
],
"total": 123
}
```

##

[​](#request-headers)

Request Headers

[​](#param-content-type)

Content-Type

string

required

Enum: `application/json`

[​](#param-authorization)

Authorization

string

required

Bearer authentication format, for example: Bearer {{API Key}}.

##

[​](#query-parameters)

Query Parameters

[​](#param-page-no)

pageNo

integer

[​](#param-page-size)

pageSize

integer

[​](#param-storage-name)

storageName

string

[​](#param-storage-id)

storageId

string

##

[​](#response)

Response

[​](#param-data)

data

object[]

Show properties

[​](#param-storage-id-1)

storageId

string

[​](#param-storage-name-1)

storageName

string

[​](#param-storage-size)

storageSize

integer

[​](#param-cluster-id)

clusterId

string

[​](#param-cluster-name)

clusterName

string

[​](#param-price)

price

string

[​](#param-total)

total

integer

##

[​](#example)

Example

Request

```
curl --request GET \
--url 'https://api.novita.ai/gpu-instance/openapi/v1/networkstorages/list' \
--header 'Authorization: Bearer {{API Key}}'
```

Response

```
{
"data": [
{
"storageId": "d4e82677-3f80-4020-a731-d15b1c589aa8",
"storageName": "123",
"storageSize": 10,
"clusterId": "5",
"clusterName": "EU-01",
"price": "100"
},
{
"storageId": "082383c6-bc28-4bfa-a3b3-b6d6511bdf64",
"storageName": "123",
"storageSize": 10,
"clusterId": "5",
"clusterName": "EU-01",
"price": "100"
}
],
"total": 2
}
```

Last modified on December 23, 2024
